# Constructors

Constructors are a way to give data to an object right when it gets created. The
object can also run functions on that data during construction.

Constructors should only be used to initialize data which the object needs to
function.

## Code examples and language specific explanations

- [Java](../java/constructors/README.md)
- [Rust](../rust/Constructors.md)
- [C++](../cpp/constructors/README.md)
- [JavaScript (using TypeScript)](../typescript/constructors/README.md)
