mod car;
use car::Information;

fn main() {
  // create a new car and store it in the variable 'a'
  // rust also doesn't use the 'new' keyword
  // all attributes have to be defined upon creation of the object
  let a = car::Car {
    // set some data for that car
    manufacturer: "Benz".to_string(),
    model: "Velo".to_string()
  };

  // do the same for a second car
  let b = car::Car {
    manufacturer: "Ford".to_string(),
    model: "Model T".to_string()
  };

  // use a function of the car class to print out the information
  a.print_info();
  b.print_info();
}
